ImagesUploadServlet (gCube Templates Portlet 4.4.0-SNAPSHOT API)
Date: 2013-07-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.templates.server
Class ImagesUploadServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.gcube.portlets.user.templates.server.ImagesUploadServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ImagesUploadServlet

extends javax.servlet.http.HttpServlet

`ImagesUploadServlet` class is the server code delgated to receinve the byte stream and store i

Version:
  October 2008 (0.2)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
See Also:
  Serialized Form

Constructor Summary
`ImagesUploadServlet()`

Method Summary
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` file upload handler
`String` | `getUsername(javax.servlet.http.HttpServletRequest httpServletRequest)`
`String` | `getVreName(javax.servlet.http.HttpServletRequest httpServletRequest)`
`static void` | `logger(String message)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImagesUploadServlet

    public ImagesUploadServlet()

Method Detail

### logger

    public static void logger(String message)

  Parameters:
    `message` - the msg

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       IOException

  file upload handler

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - .
    `response` - .
  Throws:
    `javax.servlet.ServletException` - .
    `IOException` - .

### getUsername

    public String getUsername(javax.servlet.http.HttpServletRequest httpServletRequest)

  Parameters:
    `httpServletRequest` - .
  Returns:
    .

### getVreName

    public String getVreName(javax.servlet.http.HttpServletRequest httpServletRequest)

  Parameters:
    `httpServletRequest` - .
  Returns:
    the shared session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.